# scnn
for mlp_decoder in False 
do
    for noise_type in interp  
    do 
        for activations in tanh 
        do 
            for order1 in 0 1 2 3 4 5 
            do 
                for hidden_features in 1 16 64 
                do 
                    for layers in 0 1 2 3 4 5 
                    do 
                        s=$(printf "\--model_name snn --hidden_features %d --layers %d --filter_order_snn %d --noise_type %s --activations %s --mlp_decoder %s" $hidden_features $layers $order1 $noise_type $activations $mlp_decoder)
                        s="${s:1}"
                        python forex/forex_interp.py $s
                    done
                done
            done
        done 
    done 
done 